restinio::impl::connection_settings_details::state_listener_holder_t< connection_state::noop_listener_t > Struct Reference

A specialization of state_listener_holder for case of noop_listener. More...

`#include <connection_settings.hpp>`

## Public Member Functions

template<typename Settings >
| state_listener_holder_t (const Settings &)
template<typename Lambda >
void | call_state_listener (Lambda &&) const noexcept
template<typename Lambda >
void | call_state_listener_suppressing_exceptions (Lambda &&) const noexcept

## Detailed Description

A specialization of state_listener_holder for case of noop_listener.

This class doesn't hold anything and doesn't do anything.

Since
  v.0.5.1

Definition at line 77 of file connection_settings.hpp.

## Constructor & Destructor Documentation

## state_listener_holder_t()

template<typename Settings >

restinio::impl::connection_settings_details::state_listener_holder_t< connection_state::noop_listener_t >::state_listener_holder_t | ( | const Settings & |  | ) |

inline

Definition at line 80 of file connection_settings.hpp.

## Member Function Documentation

## call_state_listener()

template<typename Lambda >

void restinio::impl::connection_settings_details::state_listener_holder_t< connection_state::noop_listener_t >::call_state_listener | ( | Lambda && |  | ) | const

inlinenoexcept

Definition at line 84 of file connection_settings.hpp.

## call_state_listener_suppressing_exceptions()

template<typename Lambda >

void restinio::impl::connection_settings_details::state_listener_holder_t< connection_state::noop_listener_t >::call_state_listener_suppressing_exceptions | ( | Lambda && |  | ) | const

inlinenoexcept

Definition at line 91 of file connection_settings.hpp.

The documentation for this struct was generated from the following file:

- restinio/impl/connection_settings.hpp